*{
   margin: 0;
   padding: 0;
   box-sizing: border-box; 
}
body{
    width: 100vw;
    overflow-x: hidden !important;
   scroll-behavior: smooth;
   font-family: 'Raleway', sans-serif;
   color: rgb(219, 219, 219);
}
.flex-c{
    display: flex;
    flex-direction: column;
}
.flex-r{
    display: flex;

}
.d-none{
    display: none !important;
}

.center{
    display: flex;
    justify-content: center;
}


#wrapper{
    overflow-x: hidden !important;
    
    
}
 button{
    height: 48px;
    width: 180px;
    border: none;
    color: white;
    font-size: 16px;
    border-radius: 20px;
}
/* nav bar */
.nav{
    color: rgba(224, 224, 224, 0.849) ;
    position: absolute;
    display: flex;
    height: 98px;
    width: 98vw;
    padding: 0 8vw ;
    align-items: center;
    font-size: 18px;
    z-index: 4;

}
.logoNav{
    flex: 2;
   }
.logoNav img{
     height: 60px;
    width: 18vw;
    align-items: center;
    
}

.navList{
    list-style: none;
    text-decoration: none;
    list-style-type: none;
    display: flex;
    align-items: center;
    justify-content: space-around;
    width: 36vw;
    
}

.nav a{
    text-decoration: none;
    color: rgba(224, 224, 224, 0.849) ;
}




/* section 1  */
.section-1{
    background: #0D1821;
    height: 100vh;
    max-width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    position: relative;
  
}

.circle-1 ,.circle-2 ,.circle-3,.circle-4{
position: absolute;
border-radius: 50%;
background:radial-gradient(circle farthest-corner, #9e9e9e , transparent);
opacity: .5;
filter: blur(10px);
 -webkit-filter: blur(10px);
 z-index: 0;
}

.circle-1{
    width: 320px;
    height: 320px;
    left: 25vw;
    top: 130px;
}
.circle-2{
    width: 130px;
    height: 130px;
    right: -30px;
    top: -2px;
  
}
.circle-3{
     width: 180px;
    height: 180px;
    left: -50px;
    bottom: -2px;

}
.circle-4{
    width: 180px;
   height: 180px;
   right: 10vw;
   bottom: 10vh;

}
.headContainer{
    color: rgb(219, 219, 219);
    z-index: 2;
    display: flex;
    flex-direction: column;
    


}
.socialHandle{
    margin: auto;
    display: flex;
    justify-content: space-between;
    width: 25vw;
    align-self: center;
    margin-top: 8vh;
    
}

.headButton{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 10vh;
}


.section-1 button{
    height: 48px;
    width: 180px;
    border: none;
    color: white;
    font-size: 16px;
}
.filledBtn{
    background: #F49F0A;
   
}
.borderBtn{
    background: rgba(255, 255, 255, 0);
    border: 2px solid #F49F0A !important;
    
}

.scrollBtn{
    position: absolute;
    top: 80vh;
    left: 48vw;
    background: rgba(255, 255, 255, 0);
    border: 2px solid white;
    border-radius: 50px;
    height: 40px;
    width: 40px;
    margin-top:10vh;
    align-self: center;
    display: flex;
    justify-content: center;
    align-items: center;

}
.arrow img{
    height: 20px;
    
}

/* section 2 */
.section-2{
    position: relative;
    background: #F49F0A;
    width: 100vw;
    height: 100vh;

}

.imgport{
    position: absolute;
    z-index: 3;
    left: 35vw;
    top: 10vh;
    opacity: 0.95;
}
.imgport img{
    height: auto;
    width: 400px;
}


.container-2{

    display: flex;
    height: 100vh;
    width: 100vw;
    

}
.cLeft{
    position: relative;
    background: #0D1821;
    height: 100vh;
    width: 50vw;
    display: flex;
    flex-direction: column;
    align-items:flex-start;
    padding: 90px 80px;
    
}
.cLeft,.cRight {
    font-size: 20px;
}
.cRight{
    height: 100vh;
    width: 50vw;
    display: flex;
    flex-direction: column;
    align-items:flex-start;
    padding-top: 90px ;
    padding-left: 170px;
    padding-right: 10px;
    position: relative;
    
}

.cLeft ul{

    padding: 30px ;
    margin: 20px 70px ;
   

}
.cRight ul{
      padding: 30px ;
    margin: 20px 70px ;
}

.cLeft  ul li{
    padding: 20px;
}
.cRight ul li{
    padding: 20px;
}

.cLeft .flex-r{
    position: absolute;
    bottom: 4vh;
    right: 15vw;
    margin: 20px;
    align-self: center;
    width: 26vw;
    justify-content: space-between;
    align-items: center;

}

.cRight .flex-r{
    position: absolute;
    bottom: 4vh;
    left: 12vw;
    margin: 20px;
    align-self: center;
    width: 26vw;
    justify-content: space-between;
    align-items: center;
    
}
.cRight button{
    background:#0D1821 ;
}

.container-2 button{

    height: 48px;
    width: 170px;
    border: none;
    color: white;
    font-size: 15px;
    

}

/* section 2b */

.section-2b{
    height: 100vh;
    width: 100vw;
    background: #0D1821;
    padding: 40px 60px;
}

.project-slider{
    display:grid;
    grid-template-columns: 1fr 1fr 1fr;
    width: 90vw;
    margin: 50px 20px;
}

.card{
    height: 200px ;
    width: 350px;
    border: 1px solid #F49F0A;
    border-radius: 10px;
} 



/* section 3 */

.section-3{
    position: relative;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
    background:#F49F0A ;
    


}
.container-3{
    
    background: #0D1821;
    width: 75vw;
    height: 100vh;
    border-radius: 0 50vh 50vh 0;
    z-index: 5;
    
}
.cLeft-3{
   
    height: 65vh;
    padding: 30px;
    display: flex;
    justify-content: space-around;
    padding-left: 10em;
    padding-top: 15em;
    flex-direction: column;
    
}

.cLeft-3 p{

    width: 40vw;

}

.btn-3{
    display: flex;
    margin-top: 60px;
    width: 430px;
    justify-content: space-between;
   
}


.about-img{
    position: absolute;
    right: 36px;
    bottom: 70px;
    z-index: 4;
    border: 10px dashed white;
}

.about-img img{
    
        height: 602px;
        width: 440px;
        z-index: -1;
}

/* blog section */

.blog-slider{

    display:flex;
    justify-content: space-between;
    width: 90vw;
    margin: 50px 20px;

}

.card-blog{
    height: 500px ;
    width: 350px;
    border: 1px solid #F49F0A;
    border-radius: 10px;
}


/* footer */

.footer{
    width: 100vw;
    height: 80vh;
    background: #0d1821de;
}

.inner-footer{
    width: 100vw;
    height: 20vh;
    background: rgba(0, 0, 0, 0.397);
}
.upper-footer{
    height: 60vh;
    width: 100vw;
}



/* mobile screen android */
@media screen and (max-width: 800px){

    /* body */
    


    /* nav */

    .resnav{
        
        transform: translateX(1vw) !important;
        overflow: hidden !important;
        border-radius: 0 0 0 70vw;

    }
    .fixed{
        position: fixed !important;
    }
    .d-none{
        display: none !important;
    }
    .line-1{
        transform: rotate(45deg ) translate(6.5px, 6px) !important;
    }
    .line-2{
       
        transform: rotate(-45deg)  !important;
        
    }
    .burgerNav{
        position: absolute;
        display: block;
        z-index: 5;
        top: 20px;
        right: 20px;
      
    }
    .burgerNav div{
          transition:  all 0.2s ease-in;
    }

    .line{
        height: 2px;
        width: 32px;
        background: white;
        z-index: 4;
        margin: 7.5px;
    
    }

    .nav{
        height: 80px;
        padding: 0 5vw;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        overflow: hidden;
    }
    .logoNav img{
        height: 70px;
        width: 120px;
    }
    .navList{
        transform: translateX(100%);
        align-self: center;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        height: 100vh;
        width: 100vw;
        
        background: #0D1821;
        z-index: 4;
        position: fixed;
        transition: all 0.3s ease;

        
    }
    .navItem{
        height: 100px;
        width: 100vw;
        display: flex;
        justify-content: center;
        align-items: center;
        z-index: 4;
        

    }
    /* sect 1 */
    .section-1{
        position: relative;
        overflow-x: hidden;
        z-index: -1;
    }

    .circle-1{
        width: 320px;
        height: 320px;
        left: -30vw;
        top: 15vh;
    }
    .circle-4{
        display: none;
    }

    .headContainer{
        max-width: 100vw;
    }

    .mainText{
        max-width: 99vw;
        padding: 0 0 0 30px;
    
    
    }

    .socialHandle{
       width: 78vw;
    }
    .headButton {
        height: 20vh;
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-top: 8vh;
        flex-direction: column;
        align-content: center;
    }

    .scrollBtn{
        top: 82vh;
        left: 45vw;
    }

    /* .section-2 */

    .imgport{
        display: none;
    }
    
    .section-2{
        
        height: 140vh;
    }
    .container-2{
        flex-direction: column;
    }
    .cLeft{
        width: 100vw;
        padding: 20px 30px;
    }
    .cRight{
        width: 100vw;
        padding: 20px 30px;  
    }

    /* about */

    .about-img{
        display: none;
    }

    .container-3{
        width: 100vw;
        border-radius: 0;
        
    }
    .cLeft-3{
        padding: 50px 0px 0px 30px;
        width: 90vw;
        
    }

    .cLeft-3 p{
        width: 250px;
    }
    .btn-3{
        flex-direction: column;
       align-content: space-between;
    }



}




